- Main Page
- Modules
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# JitterBuffer_ Struct Reference

List of all members.

## Public Attributes
spx_uint32_t | pointer_timestamp
spx_uint32_t | last_returned_timestamp
spx_uint32_t | next_stop
spx_int32_t | buffered
JitterBufferPacket | packets [SPEEX_JITTER_MAX_BUFFER_SIZE]
spx_uint32_t | arrival [SPEEX_JITTER_MAX_BUFFER_SIZE]
void(* | destroy )(void *)
spx_int32_t | delay_step
spx_int32_t | concealment_size
int | reset_state
int | buffer_margin
int | late_cutoff
int | interp_requested
int | auto_adjust
TimingBuffer | _tb [MAX_BUFFERS]
TimingBuffer * | timeBuffers [MAX_BUFFERS]
int | window_size
int | subwindow_size
int | max_late_rate
int | latency_tradeoff
int | auto_tradeoff
int | lost_count

## Detailed Description

Jitter buffer structure

## Member Data Documentation

spx_uint32_t JitterBuffer_::pointer_timestamp

Timestamp of what we will *get* next

spx_uint32_t JitterBuffer_::last_returned_timestamp

Useful for getting the next packet with the same timestamp (for fragmented media)

spx_uint32_t JitterBuffer_::next_stop

Estimated time the next get() will be called

spx_int32_t JitterBuffer_::buffered

Amount of data we think is still buffered by the application (timestamp units)

JitterBufferPacket JitterBuffer_::packets[SPEEX_JITTER_MAX_BUFFER_SIZE]

Packets stored in the buffer

spx_uint32_t JitterBuffer_::arrival[SPEEX_JITTER_MAX_BUFFER_SIZE]

Packet arrival time (0 means it was late, even though it's a valid timestamp)

void(* JitterBuffer_::destroy)(void *)

Callback for destroying a packet

spx_int32_t JitterBuffer_::delay_step

Size of the steps when adjusting buffering (timestamp units)

spx_int32_t JitterBuffer_::concealment_size

Size of the packet loss concealment "units"

int JitterBuffer_::reset_state

True if state was just reset

int JitterBuffer_::buffer_margin

How many frames we want to keep in the buffer (lower bound)

int JitterBuffer_::late_cutoff

How late must a packet be for it not to be considered at all

int JitterBuffer_::interp_requested

An interpolation is requested by speex_jitter_update_delay()

int JitterBuffer_::auto_adjust

Whether to automatically adjust the delay at any time

struct TimingBuffer JitterBuffer_::_tb[MAX_BUFFERS]

Don't use those directly

struct TimingBuffer* JitterBuffer_::timeBuffers[MAX_BUFFERS]

Storing arrival time of latest frames so we can compute some stats

int JitterBuffer_::window_size

Total window over which the late frames are counted

int JitterBuffer_::subwindow_size

Sub-window size for faster computation

int JitterBuffer_::max_late_rate

Absolute maximum amount of late packets tolerable (in percent)

int JitterBuffer_::latency_tradeoff

Latency equivalent of losing one percent of packets

int JitterBuffer_::auto_tradeoff

Latency equivalent of losing one percent of packets (automatic default)

int JitterBuffer_::lost_count

Number of consecutive lost packets

The documentation for this struct was generated from the following file:

- C:/RakNet/DependentExtensions/speex-1.2beta3/libspeex/jitter.c